/*************************************************************************
 *
 * FILE  transfer.hpp
 * Copyright (c) 2006 Daniel Kahlin <daniel@kahlin.net>
 * Written by Daniel Kahlin <daniel@kahlin.net>
 * $Id: transfer.hpp,v 1.4 2006-10-21 14:51:20 tlr Exp $
 *
 * DESCRIPTION 
 *
 ******/

#include "util/types.hpp"
// arch dependant
#include "port.hpp"

class Transfer
{
public:
    Transfer(Port& pt, int blocksize);
    void read_mem(uint8_t mode, uint32_t base, uint32_t len, uint8_t* target);
    void write_mem(uint8_t mode, uint32_t base, uint32_t len, uint8_t* source);
    void execute_mem(uint16_t addr);
    void write_fileinfo(uint32_t base, uint32_t len, uint16_t blocksize, uint16_t startsys, const char* name);

private:
    void read_mem_int_(uint8_t mode, uint8_t bank, uint16_t base, uint16_t len, uint8_t* target);
    void write_mem_int_(uint8_t mode, uint8_t bank, uint16_t base, uint16_t len, uint8_t* source);
    void send_byte_(uint8_t data);
    void send_byte_chk_(uint8_t data);
    uint8_t recv_byte_();

	uint8_t chk_;
    Port& pt_;
    int blocksize_;
};

/* eof */
